Summary: A system for simplifying diskless cluster management.
Name: oneSIS
Version: 2.0rc10
Release: 1
vendor: Josh England <jjengla@sandia.gov>
packager: Josh England <jjengla@sandia.gov>
License: GPL
Group: Systems/Administration
URL: http://onesis.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
buildarch: noarch

%define filelist %{_tmppath}/%{name}-%{version}-filelist

%description
oneSIS is a powerful, flexible, and easy to use system for deploying and
maintaining diskless systems.  It enables a single system image to be
used without change to manage any number of (functionally different)
diskless machines.

%prep
%setup -q -n %{name}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
prefix=$RPM_BUILD_ROOT make install
find $RPM_BUILD_ROOT -name ".packlist" -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -print \
    | sed -e "s|$RPM_BUILD_ROOT||" \
          -e "s|\(/usr/share/man.*\)/\(.*\)|\1/\2.gz|" \
    > %{filelist}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{filelist}
%defattr(-,root,root,-)
%changelog

